This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 906419 - slapd does not start, 510ad64c slap_sasl_init: auxprop add plugin failed
slapd does not start, 510ad64c slap_sasl_init: auxprop add plugin failed
Status: CLOSED DUPLICATE of bug 903632
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openldap (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Jan Synacek
BaseOS QE Security Team
: Regression, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-31 10:44 EST by Petr Sklenar
Modified: 2013-03-27 02:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-05 06:46:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2013-01-31 10:44:48 EST
Description of problem:
systemctl start slapd does not start slapd
older version start successfully on rhel7.

Version-Release number of selected component (if applicable):
systemd-197-1.el7.1.1.x86_64
openldap-servers-2.4.33-3.el7.x86_64

How reproducible:
always

Steps to Reproduce:
have a default installation of rhel7 + yum install openldap-servers

[root@pes-guest-92 ~]# systemctl start slapd
Job for slapd.service failed. See 'systemctl status slapd.service' and 'journalctl -xn' for details.

[root@pes-guest-92 ~]# systemctl status slapd.service
slapd.service - OpenLDAP Server Daemon
	  Loaded: loaded (/usr/lib/systemd/system/slapd.service; disabled)
	  Active: failed (Result: exit-code) since Thu 2013-01-31 15:38:19 EST; 7s ago
	 Process: 32083 ExecStart=/usr/sbin/slapd -u ldap -h ${SLAPD_URLS} $SLAPD_OPTIONS (code=exited, status=255)
	 Process: 32065 ExecStartPre=/usr/libexec/openldap/check-config.sh (code=exited, status=0/SUCCESS)

Jan 31 15:38:19 pes-guest-92.com slaptest[32069]: auxpropfunc error version mismatch with plug-in
Jan 31 15:38:19 pes-guest-92.com runuser[32068]: pam_unix(runuser:session): session closed for user ldap
Jan 31 15:38:19 pes-guest-92.com check-config.sh[32065]: Checking configuration file failed:
Jan 31 15:38:19 pes-guest-92.com check-config.sh[32065]: 510ad63b slap_sasl_init: auxprop add plugin failed
Jan 31 15:38:19 pes-guest-92.com check-config.sh[32065]: slaptest: slap_init failed!
Jan 31 15:38:19 pes-guest-92.com slapd[32083]: @(#) $OpenLDAP: slapd 2.4.33 (Oct 31 2012 07:59:46) $
Jan 31 15:38:19 pes-guest-92.com slapd[32083]: auxpropfunc error version mismatch with plug-in
Jan 31 15:38:19 pes-guest-92.com systemd[1]: slapd.service: control process exited, code=exited status=255
Jan 31 15:38:19 pes-guest-92.com systemd[1]: Failed to start OpenLDAP Server Daemon.
Jan 31 15:38:19 pes-guest-92.com systemd[1]: Unit slapd.service entered failed state

[root@pes-guest-92 ~]# slaptest 
510ad64c slap_sasl_init: auxprop add plugin failed
slaptest: slap_init failed!


Actual results:
Jan 31 15:38:19 pes-guest-92.com slapd[32083]: @(#) $OpenLDAP: slapd 2.4.33 (Oct 31 2012 07:59:46) $
Jan 31 15:38:19 pes-guest-92.com slapd[32083]: auxpropfunc error version mismatch with plug-in

Expected results:
it starts

Additional info:
Comment 3 Jan Synacek 2013-02-05 02:34:43 EST
# rpm -q openldap
openldap-2.4.33-3.el7.x86_64

# rpm -q openldap-servers
openldap-servers-2.4.33-3.el7.x86_64

# rpm -q systemd
systemd-197-1.el7.1.1.x86_64

# systemctl start slapd

# systemctl status slapd
slapd.service - OpenLDAP Server Daemon
	  Loaded: loaded (/usr/lib/systemd/system/slapd.service; disabled)
	  Active: active (running) since Tue 2013-02-05 08:30:57 CET; 18s ago
	 Process: 1209 ExecStart=/usr/sbin/slapd -u ldap -h ${SLAPD_URLS} $SLAPD_OPTIONS (code=exited, status=0/SUCCESS)
	 Process: 1180 ExecStartPre=/usr/libexec/openldap/check-config.sh (code=exited, status=0/SUCCESS)
	Main PID: 1211 (slapd)
	  CGroup: name=systemd:/system/slapd.service
		  └─1211 /usr/sbin/slapd -u ldap -h ldapi:/// ldap:///

Works as expected with RHEL-7.0-20130131.0 compose.
Comment 4 Petr Sklenar 2013-02-05 06:35:59 EST
I tried the same distro like you + update cyrus-sasl to the same version I had previously), then I could see the issue:

fresh DISTRO=RHEL-7.0-20130131.0 and:

[root@pes-guest-67 ~]# service slapd restart
Redirecting to /bin/systemctl restart  slapd.service
[root@pes-guest-67 ~]# rpm -q openldap-servers
openldap-servers-2.4.33-3.el7.x86_64
[root@pes-guest-67 ~]# rpm -qa | grep cyrus
cyrus-sasl-gssapi-2.1.23-37.el7.x86_64
cyrus-sasl-lib-2.1.23-37.el7.x86_64
cyrus-sasl-2.1.23-37.el7.x86_64
cyrus-sasl-md5-2.1.23-37.el7.x86_64

[root@pes-guest-67 ~]# rpm -q cyrus-sasl
cyrus-sasl-2.1.23-37.el7.x86_64

[root@pes-guest-67 ~]# rpm -Fvh .../packages/cyrus-sasl/2.1.25/2.el7/x86_64/cyrus-sasl-*
Preparing...                          ################################# [100%]
Updating / installing...
   1:cyrus-sasl-lib-2.1.25-2.el7      ################################# [ 13%]
   2:cyrus-sasl-2.1.25-2.el7          ################################# [ 25%]
   3:cyrus-sasl-gssapi-2.1.25-2.el7   ################################# [ 38%]
   4:cyrus-sasl-md5-2.1.25-2.el7      ################################# [ 50%]
Cleaning up / removing...
   5:cyrus-sasl-md5-2.1.23-37.el7     ################################# [ 63%]
   6:cyrus-sasl-gssapi-2.1.23-37.el7  ################################# [ 75%]
   7:cyrus-sasl-2.1.23-37.el7         ################################# [ 88%]
   8:cyrus-sasl-lib-2.1.23-37.el7     ################################# [100%]

[root@pes-guest-67 ~]# service slapd restart
Redirecting to /bin/systemctl restart  slapd.service
Job for slapd.service failed. See 'systemctl status slapd.service' and 'journalctl -xn' for details.

[root@pes-guest-67 ~]# systemctl status slapd.service
slapd.service - OpenLDAP Server Daemon
	  Loaded: loaded (/usr/lib/systemd/system/slapd.service; disabled)
	  Active: failed (Result: exit-code) since Tue 2013-02-05 11:29:09 EST; 5s ago
	 Process: 7365 ExecStart=/usr/sbin/slapd -u ldap -h ${SLAPD_URLS} $SLAPD_OPTIONS (code=exited, status=255)
	 Process: 7348 ExecStartPre=/usr/libexec/openldap/check-config.sh (code=exited, status=0/SUCCESS)
	Main PID: 7281 (code=exited, status=0/SUCCESS)
	  CGroup: name=systemd:/system/slapd.service

Feb 05 11:29:09 pes-guest-67.lab.eng.brq.redhat.com runuser[7351]: pam_unix(runuser:session): session closed for user ldap
Feb 05 11:29:09 pes-guest-67.lab.eng.brq.redhat.com check-config.sh[7348]: Checking configuration file failed:
Feb 05 11:29:09 pes-guest-67.lab.eng.brq.redhat.com check-config.sh[7348]: 51113355 slap_sasl_init: auxprop add plugin failed
Feb 05 11:29:09 pes-guest-67.lab.eng.brq.redhat.com check-config.sh[7348]: slaptest: slap_init failed!
Feb 05 11:29:09 pes-guest-67.lab.eng.brq.redhat.com slapd[7365]: @(#) $OpenLDAP: slapd 2.4.33 (Oct 31 2012 07:59:46) $
Feb 05 11:29:09 pes-guest-67.lab.eng.brq.redhat.com slapd[7365]: auxpropfunc error version mismatch with plug-in
Feb 05 11:29:09 pes-guest-67.lab.eng.brq.redhat.com slapd[7365]: slap_sasl_init: auxprop add plugin failed
Feb 05 11:29:09 pes-guest-67.lab.eng.brq.redhat.com systemd[1]: slapd.service: control process exited, code=exited status=255
Feb 05 11:29:09 pes-guest-67.lab.eng.brq.redhat.com systemd[1]: Failed to start OpenLDAP Server Daemon.
Feb 05 11:29:09 pes-guest-67.lab.eng.brq.redhat.com systemd[1]: Unit slapd.service entered failed state

-----------------
but I have no idea why there is older version of cyrus-sasl in the newest rhel7 distro.
Comment 5 Petr Sklenar 2013-02-05 06:46:39 EST
hmm it seems to be bug 903632.

*** This bug has been marked as a duplicate of bug 903632 ***
Comment 6 Michael Jean-Jacques 2013-03-27 00:05:58 EDT
As there been a solution to solve this issue? I'm unable to view bug 903632.

I'm having the exact sane issue. I installed fedora 18 on vmware 5 fusion instance and I installed all packages as requested to get OpenLdap up running.


[root@localhost openldap]# service slapd start
Redirecting to /bin/systemctl start  slapd.service
Job for slapd.service failed. See 'systemctl status slapd.service' and 'journalctl -xn' for details.

[root@localhost openldap]# systemctl status slapd.service
slapd.service - OpenLDAP Server Daemon
	  Loaded: loaded (/usr/lib/systemd/system/slapd.service; enabled)
	  Active: failed (Result: exit-code) since Wed 2013-03-27 00:03:07 EDT; 1min 5s ago
	 Process: 12074 ExecStart=/usr/sbin/slapd -u ldap -h ${SLAPD_URLS} $SLAPD_OPTIONS (code=exited, status=1/FAILURE)
	 Process: 12059 ExecStartPre=/usr/libexec/openldap/check-config.sh (code=exited, status=0/SUCCESS)

Mar 27 00:03:07 localhost.localdomain check-config.sh[12059]: 51526f7b /etc/openldap/slapd.conf: line 1: unknown directive <ee>...ions.
Mar 27 00:03:07 localhost.localdomain check-config.sh[12059]: slaptest: bad configuration file!
Mar 27 00:03:07 localhost.localdomain slapd[12074]: @(#) $OpenLDAP: slapd 2.4.33 (Oct 31 2012 12:01:33) $
Mar 27 00:03:07 localhost.localdomain slapd[12074]: daemon: bind(8) failed errno=98 (Address already in use)
Mar 27 00:03:07 localhost.localdomain slapd[12074]: daemon: bind(8) failed errno=98 (Address already in use)
Mar 27 00:03:07 localhost.localdomain slapd[12074]: slapd stopped.
Mar 27 00:03:07 localhost.localdomain slapd[12074]: connections_destroy: nothing to destroy.
Mar 27 00:03:07 localhost.localdomain systemd[1]: slapd.service: control process exited, code=exited status=1
Mar 27 00:03:07 localhost.localdomain systemd[1]: Failed to start OpenLDAP Server Daemon.
Mar 27 00:03:07 localhost.localdomain systemd[1]: Unit slapd.service entered failed state
Comment 7 Jan Synacek 2013-03-27 02:43:19 EDT
(In reply to comment #6)
> As there been a solution to solve this issue? I'm unable to view bug 903632.
> 
> I'm having the exact sane issue. I installed fedora 18 on vmware 5 fusion
> instance and I installed all packages as requested to get OpenLdap up
> running.

The bug 903632 is VERIFIED, so yes, the issue has been solved.

You are not having the exact same issue. The issue was:
> ...
> Feb 05 11:29:09 pes-guest-67.lab.eng.brq.redhat.com check-config.sh[7348]: 51113355 slap_sasl_init: auxprop add plugin failed
> Feb 05 11:29:09 pes-guest-67.lab.eng.brq.redhat.com check-config.sh[7348]: slaptest: slap_init failed!
> ...

You're issue is something bad in your config file:
> Mar 27 00:03:07 localhost.localdomain check-config.sh[12059]: 51526f7b
> /etc/openldap/slapd.conf: line 1: unknown directive <ee>...ions.
> Mar 27 00:03:07 localhost.localdomain check-config.sh[12059]: slaptest: bad
> configuration file!

Note You need to log in before you can comment on or make changes to this bug.